TPM(4)

NAME
tpm - Trusted Platform Module

SYNOPSIS
tpm* at isa? iomem 0xfed40000
tpm* at acpi?

DESCRIPTION
The tpm driver provides support for various Trusted Platform Module (TPM) chips.

Supported modules:

•   TPM 2.0 chips over ACPI
•   TPM 1.2 chips over ACPI and ISA

Note that the supported interface version is TIS1.2 in each case.

The TPM may need to be enabled in the system's firmware or BIOS, which requires a reboot to take effect. This is generally beyond the control of NetBSD. Enabling a TPM does not require using trusted boot — it can be enabled, for example, only for the rnd(4) entropy source.

SEE ALSO
config(1), intro(4), rnd(4)

AUTHORS
-nosplit The tpm driver was written by Maxime Villard, Michael Shalayeff and Hans-Joerg Hoexer.